com.gisgraphy.servlet

## Class AddressParserServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.gisgraphy.servlet.GisgraphyServlet
      - - com.gisgraphy.servlet.AbstractAddressServlet
        - - com.gisgraphy.servlet.AddressParserServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class AddressParserServlet
      extends com.gisgraphy.servlet.AbstractAddressServlet

  Provides a servlet Wrapper around The Gisgraphy address parser Service, it Maps web parameters to create a AddressQuery
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger` The logger

    - ### Fields inherited from class com.gisgraphy.servlet.AbstractAddressServlet

      `ADDRESS_PARAMETER, CALLBACK_PARAMETER, COUNTRY_PARAMETER, INDENT_PARAMETER, OUTPUT_FORMAT_PARAMETER, POSTAL_PARAMETER, QUERY_MAX_LENGTH, STANDARDIZE_PARAMETER`

    - ### Fields inherited from class com.gisgraphy.servlet.GisgraphyServlet

      `APIKEY_PARAMETER, DEBUG_MODE_PARAMETER_NAME, debugMode, FORMAT_PARAMETER, FROM_PARAMETER, TO_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressParserServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkparameter()`
    `com.gisgraphy.domain.valueobject.GisgraphyServiceType` | `getGisgraphyServiceType()`
    `void` | `init()`
    `void` | `processRequest(com.gisgraphy.addressparser.AddressQuery query, javax.servlet.http.HttpServletResponse resp)`
    `void` | `setAddressParserService(com.gisgraphy.addressparser.IAddressParserService addressParser)`
    `void` | `setStatsUsageService(IStatsUsageService statsUsageService)`

    - ### Methods inherited from class com.gisgraphy.servlet.AbstractAddressServlet

      `doGet, dumpRequestParameters, getAddressQueryHttpBuilder, getErrorVisitor`

    - ### Methods inherited from class com.gisgraphy.servlet.GisgraphyServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, isDebugMode, sendCustomError, setDebugMode, setResponseContentType`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### AddressParserServlet

          public AddressParserServlet()

  - ### Method Detail

    - #### getGisgraphyServiceType

          public com.gisgraphy.domain.valueobject.GisgraphyServiceType getGisgraphyServiceType()

      Specified by:
        `getGisgraphyServiceType` in class `com.gisgraphy.servlet.AbstractAddressServlet`

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `com.gisgraphy.servlet.GisgraphyServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### processRequest

          public void processRequest(com.gisgraphy.addressparser.AddressQuery query,
                            javax.servlet.http.HttpServletResponse resp)
                              throws IOException

      Specified by:
        `processRequest` in class `com.gisgraphy.servlet.AbstractAddressServlet`
      Throws:
        `IOException`

    - #### setAddressParserService

          public void setAddressParserService(com.gisgraphy.addressparser.IAddressParserService addressParser)

    - #### setStatsUsageService

          public void setStatsUsageService(IStatsUsageService statsUsageService)

    - #### checkparameter

          public boolean checkparameter()

      Specified by:
        `checkparameter` in class `com.gisgraphy.servlet.AbstractAddressServlet`

Copyright © 2015. All rights reserved.